#ifndef PHPCONFIGWIDGET_H
#define PHPCONFIGWIDGET_H

#include "phpconfigwidgetbase.h"
#include <tqstring.h>
class TDEProcess;
class PHPConfigData;

class PHPConfigWidget : public PHPConfigWidgetBase
{ 
    TQ_OBJECT
  

public:
    PHPConfigWidget( PHPConfigData* data,TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~PHPConfigWidget();

public slots:
    virtual void slotZendButtonClicked();
    virtual void slotAboutClicked();
    virtual void slotPHPExeButtonClicked();
    virtual void slotPHPIniButtonClicked();
    void accept();
    void slotReceivedPHPInfo (TDEProcess* proc, char* buffer, int buflen);
    
 private:
    TQDomDocument* dom;
    TQString m_phpInfo;
    PHPConfigData* configData;

};

#endif
